ActiveX/Java Uploader

Client Side

Operating Systems

  • Windows XP/Vista/7/8 (including East Asian editions)
  • Mac OS 10.5 or later
  • *NIX systems with Java Runtime Environment

Browsers

  • Internet Explorer (Windows) 6 or later. ActiveX controls and JavaScript should be enabled in the browser settings.
  • A browser which supports Java applets with JRE 1.5:

    • Any Mozilla-family browser, including Firefox 2 or later, Netscape, and others
    • Safari (Mac OS)

    LiveConnect availability (required for some advanced features such as an additional form name uploading, event handling, etc).

    Java applets and JavaScript should be enabled in the browser settings.

Note

Some Mac OS browsers require Java Embedding Plug-in to be JRE 1.5-compatible.

These browsers do not require this plug-in:

  • Safari
  • Firefox version 2.0 or later

The following browsers are not supported:

  • Internet Explorer for Mac OS (no JRE 1.5 compatibility)
  • Opera
  • Safari for Windows
  • Google Chrome
  • Microsoft Edge

Server Side

To sucessfully use Upload Suite you must have a fully operational web server (for example, Apache or IIS).

ActiveX/Java Uploader ASP.NET and ActiveX/Java Uploader PHP have the following additional server-side requirements:

ActiveX/Java Uploader ASP.NET

  • Microsoft Visual Studio 2005/2008/2010
  • .NET Framework 2.0, 3.x, 4.0
Note

ActiveX/Java Uploader ASP.NET does not support .NET Framework 1.1.

ActiveX/Java Uploader PHP

  • PHP 5.2 or higher

HTML5/Flash Uploader

Client Side

Flash Uploader requires any browser with Adobe Flash Player 10.1 plug-in installed.

HTML5 Uploader supports the following browsers:

  • Internet Explorer 10 or 11
  • Mozilla Firefox 6 (or higher)
  • Google Chrome 13 (or higher)
  • Safari 6 or higher (Mac OS X only)
  • Microsoft Edge
  • Mobile browsers - Chrome on iOS and Android, Safari on iOS.

Some functionality may be limited in certain browsers. For example, none browsers except of Chrome support folder upload. Edge does not support drag-and-drop (as of mid-2015).

Server Side

To sucessfully use HTML5/Flash Uploader you must have a fully operational web server (for example Apache or IIS).

HTML5/Flash Uploader ASP.NET and HTML5/Flash Uploader PHP have the following additional server-side requirements:

HTML5/Flash Uploader ASP.NET

  • Microsoft Visual Studio 2005/2008/2010
  • .NET Framework 2.0, 3.x, 4.0
Note

HTML5/Flash Uploader ASP.NET does not support .NET Framework 1.1.

HTML5/Flash Uploader PHP

PHP 5.2 or higher

Development

To compile themes for Flash Uploader Flex SDK version 4.1 is required.